# xprintf.c File Reference

`#include <stdio.h>`
`#include <psptypes.h>`
`#include <pspkernel.h>`
`#include <pspiofilemgr.h>`
`#include <string.h>`
`#include <malloc.h>`
`#include <stdarg.h>`
`#include <stddef.h>`

Include dependency graph for xprintf.c:

## Data Structures

struct | s_strargument

## Defines

#define | MAXDIG 20
#define | PS2LIB_STR_MAX 4096

## Functions

int | isdigit (int __c)
int | vxprintf (void(*func)(char *, int, void *), void *arg, const char *format, va_list ap)
void | __sout (char *, int, void *)
| __attribute__ ((weak))
void | __mout (char *, int, void *)
void | __fout (char *, int, void *)

## Define Documentation

#define MAXDIG 20

#define PS2LIB_STR_MAX 4096

## Function Documentation

__attribute__ | ( | (weak) |  | ) |

void __fout | ( | char * | ,
|  | int | ,
|  | void * |
| ) |

void __mout | ( | char * | ,
|  | int | ,
|  | void * |
| ) |

void __sout | ( | char * | ,
|  | int | ,
|  | void * |
| ) |

int isdigit | ( | int | __c | ) |

int vxprintf | ( | void(*)(char *, int, void *) | func,
|  | void * | arg,
|  | const char * | format,
|  | va_list | ap
| ) |